<!--section-->
<%= stylesheet_link_tag 'demo' %>
<section>
  <div class="container">
    <div class="row">
      <!--left-section-->
      <%= render '/layouts/sidebar' %>
      <!--/left-section-->
      <!--middle-section-->
      <%= form_for current_user, url: user_path, method: :put, multipart: true do |f| %>
          <div class="col-md-9 col-xs-12">
              <div class="article profile-sec">
                  <div class="header margin-bottom-15">
                      <h1>Profile</h1>
                  </div>
                  <div class="article-content">
                      <div class="row">
                          <div class="col-sm-12">
                              <div class="form-group margin-bottom-30">
                                  <div class="profile-pic">
                                      <!-- <input id="upload-profile-pic" type="file" style="display: none;"> -->
                                      <%= f.text_field :user_profile, style: 'display: none;', id: 'upload-profile-pic' %>
                                      <img id="imgsrc-profile" src="<%= current_user.user_profile.present? ? current_user.user_profile.url(:medium) : "#{Rails.application.secrets.BASE_URL_IMAGE}/assets/default-profile.png" %>" alt="" class="img-circle pic" />
                                      <a href="#" class="edit-btn" id="upload-btn" data-toggle="modal" data-target="#upload-profile-image-modal"><img src="/assets/profile-edit.png" width="36" alt="" /></a>
                                  </div>
                              </div>
                          </div>
                          <div class="col-sm-6">
                              <div class="form-group">
                                  <label>Full Name</label>
                                  <!-- <input type="text" placeholder="Enter Name" value="Vijay Designer" class="form-control"> -->
                                  <%= f.text_field :full_name, value: f.object.full_name, placeholder: 'Enter Name', class: 'form-control' %>
                              </div>
                              <div class="form-group">
                                  <!-- <label>Phone</label> -->
                                  <%#= f.text_field  :phone, value: f.object.phone, placeholder: 'Enter Phone Number', class: 'form-control' %>
                                  <label>Email</label>
                                  <!-- <input type="text" placeholder="" value="vijay@spaceotechnologies.com" class="form-control" disabled> -->
                                  <%= f.text_field :email, value: f.object.email, placeholder: 'Email', class: 'form-control', disabled: true %>
                              </div>
                              <div class="form-group"> <a href="#" class="btn btn-theme2 "  data-toggle="modal" data-target="#password">Change Password</a> </div>
                          </div>
                          <div class="col-sm-6">
                              <!-- <div class="form-group">

                              </div> -->
                              <div class="form-group resume-upload">
                                  <label>Attach your Resume</label>
                                  <div class="clearfix"></div>
                                  <!-- <input type="file" style="display: none;" id="upload-resume"> -->
                                  <%= f.file_field :resume, style: 'display: none;', id: 'upload-resume' %>
                                  <div class="resume-icon-data">
                                     <div class="r_upload"> <%= render partial: 'resume_upload' %></div>
                                  </div>
                                  <a id="upload-resume-btn" href="#" class="btn btn-theme2 attach-icon"><%= current_user.resume.present? ? 'Upload New Resume' : 'Upload Resume' %></a>
                                  <!-- <p id="print-file-name"></p> -->
                              </div>
                          </div>
                      </div>
                  </div>
                  <div class="article-footer">
                      <!-- <a href="#" class="btn btn-theme rounded">Update</a>  -->
                      <%= f.submit 'Update', class: 'btn btn-theme rounded' %>
                  </div>
              </div>
          </div>
      <% end %>
      <!--/middle-section-->

    </div>
  </div>
</section>
<!--/section-->
<div id="upload-profile-image-modal" class="modal fade" role="dialog">
    <div class="modal-dialog modal-md">
        <!-- Modal content-->
        <%#= form_for %>
            <div class="modal-content">
                <div class="modal-header">
                    <h3> Crop Profile Picture </h3>
                </div>
                <div class="modal-body upload-demo">
                    <div class="col-1-2">
                        <div class="upload-demo-wrap">
                            <div id="upload-demo"></div>
                        </div>
                    </div>
                    <br />
                    <div class="actions">
                        <a class="btn file-btn btn-submit">
                            <span class="">Upload Image</span>
                            <input type="file" id="upload" value="Choose a file" accept="image/*" class="" />
                        </a>
                        <button class="btn btn-theme pull-right upload-result">Crop</button>
                    </div>
                </div>
            </div>
        <%# end %>
    </div>
</div>
<!-- password modal -->
<div id="password" class="modal fade" role="dialog">
    <div class="modal-dialog modal-md">
        <!-- Modal content-->
        <%#= form_for %>
            <div class="modal-content">
                <%= form_for current_user, url: change_password_users_path, method: :put do |f| %>
                    <div class="modal-header">
                        <h4 class="modal-title">Change Password</h4>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <!-- <input type="text" placeholder="Current Password" class="form-control"> -->
                            <%= f.password_field :old_password, class: 'form-control', placeholder: 'Current Password' %>
                        </div>
                        <div class="form-group">
                            <!-- <input type="text" placeholder="New Password" class="form-control"> -->
                            <%= f.password_field :new_password, class: 'form-control', placeholder: 'New Password' %>
                        </div>
                        <div class="form-group">
                            <!-- <input type="text" placeholder="Confirm Password" class="form-control"> -->
                            <%= f.password_field :new_password_confirmation, class: 'form-control', placeholder: 'New Password Confirmation' %>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                    <div class="modal-footer">
                        <div class="center-block">
                            <button type="button" class="btn btn-theme2 stroke rounded" data-dismiss="modal">Cancel</button>
                            <!-- <input type="button" class="btn btn-theme rounded" value="Update"> -->
                            <%= f.submit 'Change Password', class: 'btn btn-theme rounded' %>
                        </div>
                    </div>
                <% end %>
            </div>
        <%# end %>
    </div>
</div>
<!-- /password modal-->
<script>
    $(document).ready(function() {
        Demo.init()
    });
    // $('#upload').on('change', function(){
    //     $uploadCrop = $('#upload-demo').croppie({
    //         enableExif: true,
    //         viewport: {
    //             width: 200,
    //             height: 200,
    //             type: 'circle'
    //         },
    //         boundary: {
    //             width: 300,
    //             height: 300
    //         }
    //     });
    // })

    // $('#upload-result')
// =========================================================
    //browse input trigger hidden
    // $("#upload-btn").click(function(){
    //     $("#upload-profile-pic")[0].click();
    // });

    //Placeholder image replace to browse
    function readURL(input) {

    if (input.files && input.files[0]) {
        var reader = new FileReader();

        reader.onload = function (e) {
            $(input).next('#imgsrc-profile').attr('src', e.target.result);
        }

        reader.readAsDataURL(input.files[0]);
    }
    }


    // $('#upload-profile-image-modal').on('hidden.bs.modal', function(){
    //     // alert(1)
    //     // // readURL($("#imgsrc-profile"));
    //     // var formData = new FormData(), $input = $('#imgsrc-profile');
    //     // // console.log($input);
    //     // formData.append('user[user_profile]', $input.src)
    //     $('#upload-profile-pic').val($('#imgsrc-profile').attr('src'))
    // })
    //browse input get url
    // $("#upload-profile-pic").change(function () {
    //     readURL(this);
    //     // console.log($(this));
    //     var formData = new FormData(), $input = $('#upload-resume');
    //     formData.append('user[resume]', $input[0].files[0])
    //     //
    //     // $uploadCrop = $('#upload-profile-pic').croppie({
    //     //     enableExif: true,
    //     //     viewport: {
    //     //         width: 200,
    //     //         height: 200,
    //     //         type: 'circle'
    //     //     },
    //     //     boundary: {
    //     //         width: 300,
    //     //         height: 300
    //     //     }
    //     // });
    // });

    // =====================RESUME+========================= //
    //browse input trigger hidden
    $("#upload-resume-btn").click(function(){
        // $("#upload-resume")[0].click();
    });

    var resume_data = ''
    //Placeholder image replace to browse
    function readURLNew(input) {
        // console.log(1);

        if (input.files && input.files[0]) {
            var reader = new FileReader();

            reader.onload = function (e) {
                console.log(e.target.result);
                $(input).next('#imgsrc-resume').attr('src', e.target.result);
            }

            console.log(input.files[0]);
            resume_data = input.files[0]
            // var fileval = reader.readAsDataURL(input.files[0]);
            // console.log(fileval);
            reader.readAsDataURL(input.files[0]);
        }
    }

    //browse input get url
    $("#upload-resume").change(function () {
        readURLNew(this);
        console.log(2);
        var formData = new FormData(), $input = $('#upload-resume');
        formData.append('user[resume]', $input[0].files[0])

        $.ajax({
            // url: '/users/upload_resume',
            url: '/users/upload_resume',
            method: 'post',
            data: formData,
            contentType: false,
            processData: false,
            success: function(data){
                // window.location.reload()
            }
        })
    });

</script>
